Skip to main content
GET
/
v2
/
integrations
/
connections
/
{connection_id}
/
schedules
List Schedules
curl --request GET \
  --url https://api.catenatelematics.com/v2/integrations/connections/{connection_id}/schedules \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "consecutive_error_count": 0,
      "consecutive_error_threshold": 15,
      "cursor": "cursor-1",
      "execution_interval_seconds": 600,
      "max_concurrent_executions": 1,
      "resource": "vehicle"
    }
  ],
  "current_page": "<string>",
  "current_page_backwards": "<string>",
  "previous_page": "<string>",
  "next_page": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

connection_id
string<uuid>
required

Query Parameters

resource
enum<string> | null

Enum for resources

Available options:
asset,
driver_association,
driver_vehicle_association,
driver_event_log,
driver_safety_event,
dvir_log,
dvir_log_defect,
engine_log,
engine_status,
fuel_transaction,
fleet_info,
hos_availability,
hos_daily_snapshot,
hos_event,
hos_event_annotation,
hos_event_attachment,
hos_violation,
ifta_summary,
location_segment,
message,
group_message,
user,
vehicle,
vehicle_location,
vehicle_sensor,
vehicle_region_segment,
trailer,
trailer_association,
trailer_vehicle_association,
trailer_location,
trailer_status,
workflow
cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
ScheduleRead · object[]
required
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page